opencv: cv::SparseMatIterator_< _Tp > Class Template Reference

Public Types | Public Member Functions

# cv::SparseMatIterator_< _Tp > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::SparseMatIterator_< _Tp >:

List of all members.

## Public Types
typedef std::forward_iterator_tag | iterator_category
## Public Member Functions
_Tp & | operator* () const
| returns the reference to the current element
SparseMatIterator_ | operator++ (int)
| moves the iterator to the next element
SparseMatIterator_ & | operator++ ()
| moves the iterator to the next element
SparseMatIterator_ & | operator= (const SparseMatIterator_ &it)
| the assignment operator
| SparseMatIterator_ (SparseMat_< _Tp > *_m)
| the full constructor setting the iterator to the first sparse matrix element
| SparseMatIterator_ (const SparseMatIterator_ &it)
| the copy constructor
| SparseMatIterator_ ()
| the default constructor

## Detailed Description

### template<typename _Tp>
class cv::SparseMatIterator_< _Tp >

Template Read-Write Sparse Matrix Iterator Class.

This is the derived from cv::SparseMatConstIterator_ class that introduces more convenient operator *() for accessing the current element.

## Member Typedef Documentation

template<typename _Tp>

typedef std::forward_iterator_tag cv::SparseMatIterator_< _Tp >::iterator_category

Reimplemented from cv::SparseMatConstIterator_< _Tp >.

## Constructor & Destructor Documentation

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( | ) | `[inline]`

the default constructor

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( | SparseMat_< _Tp > * | _m ) | `[inline]`

the full constructor setting the iterator to the first sparse matrix element

template<typename _Tp >

cv::SparseMatIterator_< _Tp >::SparseMatIterator_ | ( | const SparseMatIterator_< _Tp > & | it ) | `[inline]`

the copy constructor

## Member Function Documentation

template<typename _Tp >

_Tp & cv::SparseMatIterator_< _Tp >::operator* | ( | ) | const`[inline]`

returns the reference to the current element

Reimplemented from cv::SparseMatConstIterator_< _Tp >.

template<typename _Tp >

SparseMatIterator_< _Tp > cv::SparseMatIterator_< _Tp >::operator++ | ( | int | ) | `[inline]`

moves the iterator to the next element

Reimplemented from cv::SparseMatConstIterator_< _Tp >.

template<typename _Tp >

SparseMatIterator_< _Tp > & cv::SparseMatIterator_< _Tp >::operator++ | ( | ) | `[inline]`

moves the iterator to the next element

Reimplemented from cv::SparseMatConstIterator_< _Tp >.

template<typename _Tp >

SparseMatIterator_< _Tp > & cv::SparseMatIterator_< _Tp >::operator= | ( | const SparseMatIterator_< _Tp > & | it ) | `[inline]`

the assignment operator

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines